/*
	接口统一管理
*/
const apiurl = {
	// 登录
	login: {
		url: '/epidemicapp/app/login/epiOrgan',
		type: 'post'
	},
	// 机构(用户)信息
	loginInfo: {
		url: '/epidemicapp/app/login/epiOrgan/info',
		type: 'get'
	},
	// 重置密码
	resetPassWord: {
		url: '/epidemicapp/app/login/epiOrgan/reset/passWord',
		type: 'put'
	},
	// 物资分页查询
	epiMateList: {
		url: '/epidemicapp/app/epiMate/list',
		type: 'get'
	},
	// 物资分页查询
	applyApi: {
		url: '/epidemicapp/app/epiAskfor',
		type: 'post'
	},
	// 申请列表
	applyList: {
		url: '/epidemicapp/app/epiAskfor/list',
		type: 'get'
	},
	// 申请详情物资列表
	applyDetailsProduct: {
		url: '/epidemicapp/app/epiAskforMate/list',
		type: 'get'
	},

}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
	// 字典数据读取
	getDict: '/epidemicapp/app/dict/data/type/',
	// 申请详情
	applyDetails: '/epidemicapp/app/epiAskfor/',
}

export {
	apiurl,
	otherApiUrl
}