/**
 * 公共方法的封装
  */
import Vue from 'vue'
import { config } from '@/common/config'

// 链接加时间戳
Vue.filter("timestamp", function(link) {	
	return link + '?t=' + new Date().getTime();
});

//截取第一张照片
Vue.filter("firstImg",function(arr,sizeType,imgType){
	let img;
	//图片类型判断
	if(arr){
		if(arr instanceof Array){
			img = arr[0]
		}else{
			img = arr.split(',')[0]
		}
	}else if(!arr){
		//如果没有图片
		img=''
	}
	let hasHttp = /(http|https):\/\/([\w.]+\/?)\S*/.test(img)
	if(hasHttp){
		return img;
	}else{
		return config.imgUrl + img;
	}
});

// 链接加时间戳
Vue.filter("filterAskforStatus", function(val) {	
	let statusList = ['待提交', '待审核', '同意', '不同意']
	return statusList[val]
});