// 获取登录token

import Vue from 'vue'

export function againToken(userId) {
	Vue.prototype.$u.api.loginToken({userId: userId}).then((userData) => {
		if(userData && userData.code ===200) {
			if(userData.data && userData.data.accessToken){
				Vue.prototype.$u.vuex('vuex_user', userData.data);
			} else {
				// 清空用户数据缓存
				Vue.prototype.$u.vuex('vuex_user', {});
				Vue.prototype.$u.vuex('user_info', {});
			}
			Vue.prototype.$u.api.userInfo().then(({code, data, msg}) => {
				if(code ===200) {
					Vue.prototype.$u.vuex('user_info', data)
					if(window && window.location){
						window.location.reload(false);
					}
				}
			})
		} else {
			// 清空用户数据缓存
			Vue.prototype.$u.vuex('vuex_user', {});
			Vue.prototype.$u.vuex('user_info', {});
		}
	})	
}